View Issue Details

IDProjectCategoryView StatusLast Update
0005499unrealircdpublic2020-01-02 16:38
Reporterhc2995Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSServer 2019 StandardOS Version17763.914
Product Version5.0.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0005499: Reputation database not saving
DescriptionHello,

During operation, UnrealIRCD reports

"*** error: ERROR renaming 'data/reputation.db.tmp' to 'data/reputation.db': Unknown error -- DATABASE *NOT* SAVED!!!"

I have installed the software as a service and confirmed it is running as "NETWORK SERVICE". I have also confirmed the permissions on both the DATA folder and the file itself, both are full control for "NETWORK SERVICE". If I delete reputation.db, the file is saved properly but the issue reappears on the next save
Steps To Reproduce1) Start UnrealIRCD
2) Allow the server to run long enough for auto save of the reputation DB
3) Allow the server to run long enough for auto save of the reputation DB, error will be observed.
4) Observe error (both in log and while logged in as Oper)
5) Delete "Reputation.db"
6) Allow the server to run long enough for auto save of the reputation DB
7) Allow the server to run long enough for auto save of the reputation DB, error will be observed.
TagsNo tags attached.
3rd party modulesNone

Relationships

has duplicate 0005510 closedsyzop [Windows] ERROR renaming 'data/reputation.db.tmp' to 'data/reputation.db': Unknown error 

Activities

syzop

2019-12-18 18:20

administrator   ~0021167

That must be annoying. I thought I had fixed this! I will look again at it in the weekend.

It's unfortunate it is reporting it as an "Unknown error" too...

hc2995

2019-12-18 22:54

reporter   ~0021168

It happens like that lol. This is a non production environment, can I get you any debug logging or anything to assist?

syzop

2020-01-02 16:38

administrator   ~0021192

Fixed. Thanks for the report and sorry for the mess :/

commit 27ae0fa340dfba63c54e1d69b6ec48cb8d5c41d3 (HEAD -> unreal50, origin/unreal50)
Author: Bram Matthys <syzop@vulnscan.org>
Date: Thu Jan 2 16:35:24 2020 +0100

    Fix "ERROR renaming 'data/reputation.db.tmp'" on Windows.
    Reported by hc2995, notipa and floffy.

Issue History

Date Modified Username Field Change
2019-12-17 09:37 hc2995 New Issue
2019-12-18 18:20 syzop Note Added: 0021167
2019-12-18 18:20 syzop Assigned To => syzop
2019-12-18 18:20 syzop Status new => acknowledged
2019-12-18 22:54 hc2995 Note Added: 0021168
2020-01-02 16:32 syzop Relationship added has duplicate 0005510
2020-01-02 16:38 syzop Target Version => 5.0.1
2020-01-02 16:38 syzop Status acknowledged => resolved
2020-01-02 16:38 syzop Resolution open => fixed
2020-01-02 16:38 syzop Fixed in Version => 5.0.1
2020-01-02 16:38 syzop Note Added: 0021192